package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ContactPersonRequest struct {
	// 【联系人姓名】联系人姓名
	ContactName string `json:"contactName"`
	// 【联系人联系方式】联系人联系方式：手机号、电子邮箱
	Contact string `json:"contact"`
	// 【联系人编号】联系人编号
	ContactNo string `json:"contactNo,omitempty"`
}

func (obj ContactPersonRequest) GetUrl() string {
	return "/contact/person"
}

func (obj ContactPersonRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
